# QTextEdit Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractScrollArea.

### Constructor

- void QTextEdit(QWidget parent)
- void QTextEdit(String text, QWidget parent)

### Constructor Properties

- prototype: The QTextEdit prototype object
- AutoAll = 0xffffffff
- AutoNone = 0
- AutoBulletList = 0x00000001
- AutoFormattingFlag( value )
- AutoFormatting( value1, value2, ... )
- NoWrap
- WidgetWidth
- FixedPixelWidth
- FixedColumnWidth
- LineWrapMode( value )

### Prototype Object Properties

The QTextEdit prototype object inherits properties from the QAbstractScrollArea prototype object and also has the following properties.

- Alignment alignment()
- String anchorAt(QPoint pos)
- bool canPaste()
- QMenu createStandardContextMenu()
- QTextCharFormat currentCharFormat()
- QFont currentFont()
- QTextCursor cursorForPosition(QPoint pos)
- QRect cursorRect()
- QTextDocument document()
- void ensureCursorVisible()
- List extraSelections()
- bool find(String exp, FindFlags options)
- String fontFamily()
- bool fontItalic()
- qreal fontPointSize()
- bool fontUnderline()
- int fontWeight()
- Object loadResource(int type, QUrl name)
- void mergeCurrentCharFormat(QTextCharFormat modifier)
- void moveCursor(MoveOperation operation, MoveMode mode)
- void print(QPrinter printer)
- void setCurrentCharFormat(QTextCharFormat format)
- void setDocument(QTextDocument document)
- void setExtraSelections(List selections)
- void setTextCursor(QTextCursor cursor)
- void setWordWrapMode(WrapMode policy)
- QColor textBackgroundColor()
- QColor textColor()
- QTextCursor textCursor()
- WrapMode wordWrapMode()

### Instance Properties

QTextEdit objects inherit properties from the QTextEdit prototype object and also have the following properties.

- autoFormatting
- tabChangesFocus
- documentTitle
- undoRedoEnabled
- lineWrapMode
- lineWrapColumnOrWidth
- readOnly
- html
- plainText
- overwriteMode
- tabStopWidth
- acceptRichText
- cursorWidth
- textInteractionFlags